// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__53FABB98_658E_11D5_8547_DD80BF6AEF38__INCLUDED_)
#define AFX_MAINFRM_H__53FABB98_658E_11D5_8547_DD80BF6AEF38__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Game.h"
#include "StartDialog.h"	// Added by ClassView

/////////////////////////////////////////////////////////////////////////////
// Followings are my code
/////////////////////////////////////////////////////////////////////////////
class CMainFrame : public CFrameWnd
{
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	// Called by CaromApp;;OnIdle
	BOOL OnIdle(LONG lCount);
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg void OnPaint();
	afx_msg void OnOptionsFullscreen();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnGamePause();
	afx_msg void OnOptionsFramerate();
	afx_msg void OnGameStart();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnHelpAbout();
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	afx_msg void OnEnterMenuLoop(BOOL bIsTrackPopupMenu);
	afx_msg void OnExitMenuLoop(BOOL bIsTrackPopupMenu);
	DECLARE_MESSAGE_MAP()
private:
	CStartDialog m_StartDialog;
	void TempPause(bool Pause);
	// Called by OnIdle
	void OnMouseMotion(XType x,XType y);
	int m_nBitsPixel;
	double dMouseAcc;
	CGame Game;
	CKeysSet KeysPressed;
	bool bShowFrameRate;
	bool IsFullScreen;
	CMenu* pMainMenu;
	void SetFullScreen(bool FullScreen);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__53FABB98_658E_11D5_8547_DD80BF6AEF38__INCLUDED_)
