// StartDialog.cpp : implementation file
//

#include "stdafx.h"
#include "Carrom.h"
#include "StartDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStartDialog dialog


CStartDialog::CStartDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CStartDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStartDialog)
	m_nGameType = -1;
	m_nPlayerType0 = -1;
	m_nPlayerType1 = -1;
	m_nPlayerType2 = -1;
	m_nPlayerType3 = -1;
	m_strPlayerName0 = _T("");
	m_strPlayerName1 = _T("");
	m_strPlayerName2 = _T("");
	m_strPlayerName3 = _T("");
	m_bTwoPlayer = FALSE;
	//}}AFX_DATA_INIT
}


void CStartDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStartDialog)
	DDX_CBIndex(pDX, IDC_COMBO_GAMETYPE, m_nGameType);
	DDX_CBIndex(pDX, IDC_PLAYERTYPE0, m_nPlayerType0);
	DDX_CBIndex(pDX, IDC_PLAYERTYPE1, m_nPlayerType1);
	DDX_CBIndex(pDX, IDC_PLAYERTYPE2, m_nPlayerType2);
	DDX_CBIndex(pDX, IDC_PLAYERTYPE3, m_nPlayerType3);
	DDX_Text(pDX, IDC_PLAYERNAME0, m_strPlayerName0);
	DDX_Text(pDX, IDC_PLAYERNAME1, m_strPlayerName1);
	DDX_Text(pDX, IDC_PLAYERNAME2, m_strPlayerName2);
	DDX_Text(pDX, IDC_PLAYERNAME3, m_strPlayerName3);
	DDX_Check(pDX, IDC_CHK_TWOPLAYER, m_bTwoPlayer);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStartDialog, CDialog)
	//{{AFX_MSG_MAP(CStartDialog)
	ON_BN_CLICKED(IDC_CHK_TWOPLAYER, OnChkTwoplayer)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStartDialog message handlers

BOOL CStartDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	((CComboBox *)GetDlgItem(IDC_COMBO_GAMETYPE))->AddString("Standard");
	m_nGameType=0;
	((CComboBox *)GetDlgItem(IDC_PLAYERTYPE0))->AddString("Human");
	((CComboBox *)GetDlgItem(IDC_PLAYERTYPE0))->AddString("Computer");
	((CComboBox *)GetDlgItem(IDC_PLAYERTYPE1))->AddString("Human");
	((CComboBox *)GetDlgItem(IDC_PLAYERTYPE1))->AddString("Computer");
	((CComboBox *)GetDlgItem(IDC_PLAYERTYPE2))->AddString("Human");
	((CComboBox *)GetDlgItem(IDC_PLAYERTYPE2))->AddString("Computer");
	((CComboBox *)GetDlgItem(IDC_PLAYERTYPE3))->AddString("Human");
	((CComboBox *)GetDlgItem(IDC_PLAYERTYPE3))->AddString("Computer");
	m_nPlayerType0=m_nPlayerType1=m_nPlayerType2=m_nPlayerType3=0;
	m_strPlayerName0="Player 1";
	m_strPlayerName1="Player 2";
	m_strPlayerName2="Player 3";
	m_strPlayerName3="Player 4";
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CStartDialog::OnChkTwoplayer() 
{
	m_bTwoPlayer=!m_bTwoPlayer;
	GetDlgItem(IDC_PLAYERNAME2)->EnableWindow(!m_bTwoPlayer);
	GetDlgItem(IDC_PLAYERTYPE2)->EnableWindow(!m_bTwoPlayer);
	GetDlgItem(IDC_PLAYERNAME3)->EnableWindow(!m_bTwoPlayer);
	GetDlgItem(IDC_PLAYERTYPE3)->EnableWindow(!m_bTwoPlayer);
/*	int nCmdShow=m_bTwoPlayer ? SW_HIDE : SW_SHOW;
	GetDlgItem(IDC_PLAYERNAME2)->ShowWindow(nCmdShow);
	GetDlgItem(IDC_PLAYERTYPE2)->ShowWindow(nCmdShow);
	GetDlgItem(IDC_PLAYERNAME3)->ShowWindow(nCmdShow);
	GetDlgItem(IDC_PLAYERTYPE3)->ShowWindow(nCmdShow);
	CRect Rect0,Rect1;
	GetDlgItem(IDC_PLAYERNAME2)->GetWindowRect(Rect0);
	GetDlgItem(IDC_PLAYERNAME3)->GetWindowRect(Rect1);
	int nDiff=2*(Rect1.top-Rect0.top);
	if (m_bTwoPlayer) nDiff=-nDiff;
	GetWindowRect(Rect0); Rect0.bottom+=nDiff; MoveWindow(Rect0);
	GetDlgItem(IDOK)->GetWindowRect(Rect0);
	ScreenToClient(Rect0); Rect0.OffsetRect(0,nDiff);
	GetDlgItem(IDOK)->MoveWindow(Rect0);
	GetDlgItem(IDCANCEL)->GetWindowRect(Rect0);
	ScreenToClient(Rect0); Rect0.OffsetRect(0,nDiff);
	GetDlgItem(IDCANCEL)->MoveWindow(Rect0);
	UpdateData(FALSE);*/
}
